package com.xugame.gameconsole;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.RelativeLayout;

import androidx.annotation.Nullable;

import com.xugame.gameconsole.util.DebugUtil;

public class Test1Activity extends Activity {
    RelativeLayout layout;
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        DebugUtil.i("EMULATORTAG","Copy ac onCreate1");
        super.onCreate(savedInstanceState);
        layout=new RelativeLayout(this);
        setContentView(layout);
        DebugUtil.i("EMULATORTAG","Copy ac onCreate");
        layout.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent=new Intent(Test1Activity.this,Test2Activity.class);
                intent.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP|Intent.FLAG_ACTIVITY_NEW_TASK);
                startActivity(intent);
            }
        });
    }

    @Override
    protected void onResume() {
        DebugUtil.i("EMULATORTAG","Copy ac onResume");
        super.onResume();
    }

    @Override
    protected void onPause() {
        DebugUtil.i("EMULATORTAG","Copy ac onPause");
        super.onPause();
    }

    @Override
    protected void onStop() {
        DebugUtil.i("EMULATORTAG","Copy ac onStop");
        super.onStop();
    }

    @Override
    protected void onDestroy() {
        DebugUtil.i("EMULATORTAG","Copy ac onDestroy");
        super.onDestroy();
    }

    @Override
    protected void onRestart() {
        DebugUtil.i("EMULATORTAG","Copy ac onRestart");
        super.onRestart();
    }
}
